RowFilter.SimpleExpression (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.filter

## Class RowFilter.SimpleExpression

- java.lang.Object
- - org.apache.cassandra.db.filter.RowFilter.Expression
  - - org.apache.cassandra.db.filter.RowFilter.SimpleExpression

- Enclosing class:
    RowFilter

      public static class RowFilter.SimpleExpression
      extends RowFilter.Expression

  An expression of the form 'column' 'op' 'value'.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.filter.RowFilter.Expression

      `RowFilter.Expression.Kind`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.filter.RowFilter.Expression

      `column, operator, value`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSatisfiedBy(CFMetaData metadata, DecoratedKey partitionKey, Row row)` Returns whether the provided row satisfied this expression or not.
    `protected RowFilter.Expression.Kind` | `kind()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.db.filter.RowFilter.Expression

      `column, equals, getIndexValue, getValue, hashCode, isContains, isContainsKey, isCustom, isUserDefined, operator, validate, validateForIndexing`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isSatisfiedBy

          public boolean isSatisfiedBy(CFMetaData metadata,
                                       DecoratedKey partitionKey,
                                       Row row)

      Description copied from class: `RowFilter.Expression`
      Returns whether the provided row satisfied this expression or not.
      Specified by:
        `isSatisfiedBy` in class `RowFilter.Expression`
        `partitionKey` - the partition key for row to check.
        `row` - the row to check. It should *not* contain deleted cells (i.e. it should come from a RowIterator).
      Returns:
        whether the row is satisfied by this expression.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### kind

          protected RowFilter.Expression.Kind kind()

      Specified by:
        `kind` in class `RowFilter.Expression`

Copyright © 2018 The Apache Software Foundation